Old 1st May 2011, 15:55   #1
burek021
Junior Member
 
Join Date: Jul 2007
Posts: 28
Old versions of SHOUTcast DSP plugin 1.9.x

Hi,

Where can I download SHOUTcast DSP plugin 1.9.2 [beta]?
Is there any repository holding older versions of this plugin, because the new one v2.x does not work very well for me and crashes a lot

If there is no such repository, can anyone send my that version of plugin if you have it on your computer, please? My email is: burek021 [at] gmail [dot] com

Thanks a lot!
burek021 is offline   Reply With Quote
Old 2nd May 2011, 09:43   #2
DrO
Winamp & SHOUTcast Team
 
DrO's Avatar
 
Join Date: Sep 2003
Posts: 26,678
http://forums.winamp.com/showthread.php?t=330042 answers the question about v1.9.2.

as for other older DSP installs, you would be on your own if you found a version of it (though it's probably cached on some oldversion type sites) as the v2 DSP is the continuation of the v1 DSP but massively improved (when using plug-ins like the DSP stacker as mentioned in the other thread which are Winamp 5.5+ compatible), hence why there is no v1 download on the main site now.

-daz

If you have issues with Winamp or still want to get it, ensure
you get v5.666 build 3516 and the required plug-in updates
DrO is offline   Reply With Quote
Old 2nd May 2011, 10:09   #3
burek021
Junior Member
 
Join Date: Jul 2007
Posts: 28
Well, you don't provide links to older releases of that plugin, which was more stable than this v2 plugin is right now

You should provide download links for both versions, at least until v2 plugin becomes as stable (usable) as v1 was. No offence, but v1 plugin has worked for many years for me, without any problems (or I was not aware of those, dunno) and this v2 just doesn't work right. It constantly crashes with access violations, which is definitely not what others would want too.

I've been forced to reinstall entire Winamp and v1 plugin in order to have my stable stream flow and I'll check from time to time to see if v2 plugin has become stable. Until then, I'm just suggesting what would be the best bridge between those 2 worlds. But ok, it's your call.
burek021 is offline   Reply With Quote
Old 2nd May 2011, 10:34   #4
DrO
Winamp & SHOUTcast Team
 
DrO's Avatar
 
Join Date: Sep 2003
Posts: 26,678
the v2 DSP is a lot more stable compared to the v1 DSP on the supported platforms it is provided for i.e. true Windows installs - using it on Wine as you're doing never has been a supported platform. also if the DSP stacker you're using isn't compatible with what the DSP requires then that's not something which can be done about - this is why the message was added to the v2.2.0 release of the DSP tp make it clearer it wasn't going to work.

also installing the old v1 DSP trashes the aac encoder dll with one that's from the time of Winamp 5.1 so if you are going that route then you'll need to re-install Winamp after installing the old DSP.

-daz

If you have issues with Winamp or still want to get it, ensure
you get v5.666 build 3516 and the required plug-in updates
DrO is offline   Reply With Quote
Old 16th April 2012, 21:27   #5
Musicgrinder
Junior Member
 
Join Date: Apr 2012
Posts: 1
Why old versions of the Shoutcast Winamp plugup are still needed

I need the v1.X version. I run an old version of winamp (2.91) that works with several old versions of other plugins that are no longer available and haven't been updated for the 5.X version of Winamp (and don't work with it).

There is zero reason to NOT post links to the old version of the plugin. If someone (anyone) as these links, I desperately need it. Thanks... BM
Musicgrinder is offline   Reply With Quote
Old 17th April 2012, 11:50   #6
DrO
Winamp & SHOUTcast Team
 
DrO's Avatar
 
Join Date: Sep 2003
Posts: 26,678
if it's that much of a necessity, it's really not that hard to find a download link for it via a web search.

it will not however be officially provided as the v2 Source DSP is the natural continuation of the v1 Source DSP.

it probably is annoying that it only works on Winamp 5.5+ and that doesn't fit with your setup but we're still catering for a Winamp release which is over 4 years old which is more than a lot of other software does - personally i'd have liked to lock the Source DSP to the 5.6x series (which is still going back 1.5 years) but that won't happen soon...

-daz

If you have issues with Winamp or still want to get it, ensure
you get v5.666 build 3516 and the required plug-in updates
DrO is offline   Reply With Quote
Reply
Go Back   Winamp & SHOUTcast Forums > SHOUTcast > SHOUTcast Discussions

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump